Bug 1121384 - javapackages-tools: osgi.req: local variable 'get_provided_bundles' referenced before assignment
Summary: javapackages-tools: osgi.req: local variable 'get_provided_bundles' reference...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: javapackages-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Srb
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 09:33 UTC by Mikolaj Izdebski
Modified: 2014-09-09 16:27 UTC (History)
3 users (show)

Fixed In Version: javapackages-tools-4.2.0-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-09 15:08:49 UTC


Attachments (Terms of Use)

Description Mikolaj Izdebski 2014-07-20 09:33:33 UTC
Traceback (most recent call last):
  File "/usr/lib/rpm/osgi.req", line 83, in <module>
    builder = TagBuilder ()
  File "/usr/lib/rpm/osgi.req", line 56, in __init__
    provided = get_provided_bundles(cachedir)
UnboundLocalError: local variable 'get_provided_bundles' referenced before assignment

Version-Release number of selected component (if applicable):
javapackages-tools-4.2.0-0.81.git86d2448.noarch

Comment 1 Michal Srb 2014-07-21 06:21:58 UTC
Fixed in 32f1854.

Comment 2 Michal Srb 2014-09-09 15:08:49 UTC
Fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.